#include <stdio.h>

int main()
{
    int n, k, p, el, t, i;
    scanf("%d %d", &n, &k);
    short f = 0;

    scanf("%d", &p);
    n--;
    if(p == k)
        f++;
    for(i = 0; i < n; i++)
    {
        scanf("%d", &el);
        if(f)
        {
            t = el;
            f = 0;
        }
        if(el == k)
        {
            f++;
            if(i == (n-1))
                t = p;
        }
    }
    printf("%d", t);
}